This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 872100 - It's possible to create 2 VMs with the same MAC address on NIC when performing import VM
It's possible to create 2 VMs with the same MAC address on NIC when performin...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: lpeer
GenadiC
network
: ZStream
Depends On: 890951 892645
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 04:43 EDT by GenadiC
Modified: 2016-02-10 14:48 EST (History)
12 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 884249 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
engine log (1.24 MB, text/x-log)
2012-11-01 04:43 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-11-01 04:43:36 EDT
Created attachment 636484 [details]
engine log

Description of problem:
When performing import VM (with specific MAC on its NIC) and there is another VM with the same MAC on its NIC, the action of import succeeds even though on the engine you get an error message:"Try to add duplicate values with same name. Type: UNASSIGNED. Value: vmname"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create VM1 with MAC "AA"
2. Export VM1
3. Delete VM1 and create VM2 with the same MAC "AA"
4. Import VM1
  
Actual results:
The operation of import succeeds and the MAC "AA" is shown on both VMs

Expected results:
Operation should fail or the user should be asked to reconfigure the MAC when importing VM


Additional info:
 Try to add duplicate values with same name. Type: UNASSIGNED. Value: vmname
Comment 1 Simon Grinberg 2012-11-01 11:08:49 EDT
What is the value of the allow duplicate MAC configuration? 

1. If it's disabled - operation must fail
2. If it's enabled then we must have popup suggesting to replace or confirm using the dup.
Comment 2 lpeer 2012-11-04 03:55:38 EST
(In reply to comment #1)
> What is the value of the allow duplicate MAC configuration? 
> 
> 1. If it's disabled - operation must fail
> 2. If it's enabled then we must have popup suggesting to replace or confirm
> using the dup.

Simon, the fix you are describing here is the RFE covered by Bug 624655.
This bug is about failing the import in case duplicate mac is disabled.
Comment 3 Muli Salem 2012-11-11 04:26:05 EST
Proposed fix in:

http://gerrit.ovirt.org/#/c/9144/
Comment 6 Meni Yakove 2013-01-07 08:56:33 EST
Can't verify - 892645
Comment 7 Meni Yakove 2013-02-04 08:33:21 EST
Depend on - https://bugzilla.redhat.com/show_bug.cgi?id=890951
Comment 8 GenadiC 2013-02-21 02:15:48 EST
Verified in SI 27.1
Comment 10 Itamar Heim 2013-06-11 05:00:49 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 05:00:52 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 05:00:54 EDT
3.2 has been released
Comment 13 Itamar Heim 2013-06-11 05:02:07 EDT
3.2 has been released
Comment 14 Itamar Heim 2013-06-11 05:31:26 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.